import type { NormalizedEChartOption } from '../echarts/types';
export declare type UniversalAddon = (option: NormalizedEChartOption) => void;
export declare type BuiltInAddon = DoughnutAddon | {
    name: Exclude<BuiltInAddonType, BuiltInAddonType.Doughnut>;
};
export declare const enum BuiltInAddonType {
    LineArea = "lineArea",
    RadarArea = "radarArea",
    Doughnut = "useDoughnut",
    DoughnutCenterTotal = "useDoughnutCenterTotal"
}
export interface DoughnutAddon {
    name: BuiltInAddonType.Doughnut;
    params: {
        inner: number;
        outer: number;
    };
}
