import type { EChartsOption, SeriesOption } from 'echarts';
import type { XAXisOption, YAXisOption } from 'echarts/types/dist/shared';
export interface NormalizedEChartOption extends EChartsOption {
    series: SeriesOption[];
    xAxis?: XAXisOption[];
    yAxis?: YAXisOption[];
}
export declare type LegacyDataset = (string | number)[][];
export declare type NormalizedDataset = Record<string, string | number>[];
export declare type BasicDataset = LegacyDataset | NormalizedDataset;
export * from './dimensions';
export * from './metrics';
export interface BasicMeta {
    key: string;
    alias: string;
}
